hack_array_mpi_rep< T, A >::message_type

## Public Member Functions

| message_type ()

## Public Attributes

std::list< std::pair< size_type, mpi::request > > | waits
std::vector< std::pair< size_type, raw_type > > | data

## Detailed Description

### template<class T, class A>
struct rheolef::hack_array_mpi_rep< T, A >::message_type

2) message: for communication during assembly_begin(), assembly_end()

Definition at line 281 of file hack_array.h.

## Constructor & Destructor Documentation

## message_type()

message_type | ( |  | ) |

Definition at line 284 of file hack_array.h.

## Member Data Documentation

## waits

std::list<std::pair<size_type,mpi::request> > waits

Definition at line 282 of file hack_array.h.

## data

std::vector<std::pair<size_type,raw_type> > data

Definition at line 283 of file hack_array.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/hack_array.h